{% load mathfilters panel_helpers %}

<div class="table-responsive add-top-margin" data-module="sortable-table" data-default-key="panel">
  <table class="table table-bordered" data-module="filterable-table">
      <thead class="table-light">
          <tr>
              <th
                  class="panel-column js-sortable-header sorted-column sorted-asc"
                  data-sort-key="panel"
                  data-sort-type="name"
              >
                  Panel
                  <i class="fa fa-arrow-down"></i>
                  <i class="fa fa-arrow-up"></i>
              </th>
              <th class="js-sortable-header"
                  data-sort-key="evaluated"
                  data-sort-type="number"
              >
                  Evaluated genes
                  <i class="fa fa-arrow-down"></i>
                  <i class="fa fa-arrow-up"></i>
              </th>
              <th
                  class="js-sortable-header"
                  data-sort-key="reviewers"
                  data-sort-type="number"
              >
                  Reviewers
                  <i class="fa fa-arrow-down"></i>
                  <i class="fa fa-arrow-up"></i>
              </th>
              <th>Actions</th>
          </tr>
          <tr class="if-no-js-hide">
              <td colspan="100">
                  <div>
                      <label for="panel-filter" class="rm">Filter panels</label>
                      <div class="input-group">
                        <input autofocus id="panel-filter" type="text" class="form-control normal js-filter-table-input" placeholder="Filter panels">
                        <span class="input-group-text js-filter-table-count" data-singular="panel" data-plural="panels">
                          {{ panels|length }} panel{{panels|pluralize}}
                        </span>
                      </div>
                  </div>
              </td>
          </tr>
      </thead>
      <tbody id="panel_records">
      {% for entry in view_panels %}
          <tr
              data-reviewers = "{% if 'number_of_reviewers' in entry.stats %}{{ entry.stats.number_of_reviewers }}{% else %}0{% endif %}"
              data-panel = "{{ entry.panel.name }}"
              data-evaluated = "{% if 'number_of_genes' in entry.stats and entry.stats.number_of_genes %}{% widthratio entry.stats.number_of_evaluated_entities entry.stats.number_of_entities 100 %}{% else %}0{% endif %}"
              data-pk="{{ entry.pk }}"
              data-version="{{ entry.major_version }}.{{ entry.minor_version }}"
          >
              <td>
                  <h5 class="remove-bottom-margin" title="Level 4 title">
                      <a href="{{ entry.get_absolute_url }}" class="js-open-on-submit">
                          {{ entry.panel.name }}
                      </a>
                  </h5>
                  <p>
                      {% if entry.level4title.level3title %}
                          Level 3: {{ entry.level4title.level3title }}<br />
                      {% endif %}
                      {% if entry.level4title.level2title %}
                          Level 2: {{ entry.level4title.level2title }}<br />
                      {% endif %}
                      {% if entry.old_panels %}
                          <br />Relevant disorders: {{ entry.old_panels|join:", " }}<br />
                      {% endif %}
                      Version {{ entry.major_version }}.{{ entry.minor_version }}
                      {% if not entry.panel.is_public %}
                      <br /><strong>{{ entry.panel.status|title }}</strong>
                      {% endif %}
                  </p>
                {%  if entry.panel.types.all %}
                  <p>
                      Panel Types:{% for type in entry.panel.types.all %} {{ type }}, {% endfor %}
                  </p>
                {%  endif %}
                {% if entry.panel.signed_off_id %}
                    <strong>
                    Latest signed off version: {% signed_off_version panel_id=entry.panel_id major_version=entry.signed_off_major_version minor_version=entry.signed_off_minor_version %} ({{ entry.signed_off_date }})
                    </strong>
                {% endif %}
              </td>
              <td>
                  {% if 'number_of_genes' in entry.stats %}
                      {{ entry.stats.number_of_evaluated_entities }} of {{ entry.stats.number_of_entities }}<br >
                      <span class="text-muted">{% if entry.stats.number_of_entities %}{% widthratio entry.stats.number_of_evaluated_entities entry.stats.number_of_entities 100 %}{% else %}0{% endif %}%</span><br />
                  {% else %}
                  0<br>
                  <span class="text-muted">0%</span><br>
                  {% endif %}
                {% if 'number_of_strs' in entry.stats and entry.stats.number_of_strs %}
                    <br />STRs: {{ entry.stats.number_of_strs }}
                {% endif %}
                {% if 'number_of_regions' in entry.stats and entry.stats.number_of_regions %}
                    <br />Regions: {{ entry.stats.number_of_regions }}
                {% endif %}
              </td>
              <td>
                  {% if 'number_of_reviewers' in entry.stats and entry.stats.number_of_reviewers != None %}
                      {{ entry.stats.number_of_reviewers }} reviewer{{ entry.stats.number_of_reviewers|pluralize }}
                  {% endif %}
              </td>
              <td class="nowrap">
                  <a href="{% url 'panels:download_panel_tsv' entry.panel.pk '01234' %}" class="btn btn-outline-light-panelapp btn-sm" title="Download TSV file of panel">
                    <i class="fa fa-download"></i>{% if not request.user.is_authenticated or request.user.is_authenticated and not request.user.reviewer.is_GEL %} Download {% endif %}
                  </a>
                  {% if request.user.is_authenticated and request.user.reviewer.is_GEL %}
                      {% if entry.panel.is_approved %}
                          <a type="url" data-ajax="true" data-success="djangoAjaxHandler" data-testid="reject-panel-{{ entry.pk }}" href="{% url 'panels:reject_panel' entry.panel.id %}" class="btn btn-outline-light-panelapp btn-sm {% if not entry.panel.is_approved %} disabled {% endif %}" title="Reject panel">
                            <i class="fa fa-thumbs-down"></i> Reject
                          </a>
                      {% else %}
                          <a type="url" data-ajax="true" data-success="djangoAjaxHandler" data-testid="approve-panel-{{ entry.pk }}" href="{% url 'panels:approve_panel' entry.panel.id %}" class="btn btn-outline-light-panelapp btn-sm" title="Approve panel">
                              <i class="fa fa-thumbs-up"></i> Approve
                          </a>
                      {% endif %}

                      <a type="url" href="{% url 'panels:delete_panel' entry.panel.id %}" class="btn btn-outline-light-panelapp btn-sm d-none delete_{{ entry.pk }}" data-ajax="true" data-success="djangoAjaxHandler" data-testid="delete-panel-{{ entry.pk }}" title="Delete panel">
                        <i class="fa fa-trash"></i>
                      </a>
                      <a href="#lock_{{ entry.pk }}" class="lock_{{ entry.pk }} btn btn-outline-light-panelapp btn-sm d-none" data-module="showhide" data-show="a.btn.unlock_{{ entry.pk }}" data-hide="a.btn.lock_{{ entry.pk }}, a.btn.delete_{{ entry.pk }}" data-testid="lock-panel-{{ entry.pk }}" title="Lock panel"> <i class="fa fa-lock fa-lg"></i></a>
                      <a href="#unlock_{{ entry.pk }}" class="unlock_{{ entry.pk }} btn btn-outline-light-panelapp btn-sm" data-module="showhide" data-show="a.btn.lock_{{ entry.pk }}, a.btn.delete_{{ entry.pk }}" data-hide="a.btn.unlock_{{ entry.pk }}" data-testid="unlock-panel-{{ entry.pk }}" title="Unlock panel for editing"> <i class="fa fa-unlock fa-lg"></i></a>
                  {% endif %}
              </td>
          </tr>
      {% endfor %}
      </tbody>
  </table>
</div>
